#87 davfs forgets all files

closed-fixed
5
2009-05-03
2008-10-24
No

I have set up a davfs mount for my new 1&1 (German ISP) webDAV storage. Strangely enough, I can mount the share just fine and add files, but after a few seconds they disappear from the listing:

(relevant fstab line):
https://sd2dav.1und1.de /home/luca/dav/1und1 davfs user,noauto 0 0

luca@godzilla:~/dav$ mount 1und1
luca@godzilla:~/dav$ ls 1und1
lost+found
luca@godzilla:~/dav$ touch 1und1/test
luca@godzilla:~/dav$ ls 1und1
lost+found test
luca@godzilla:~/dav$ ls 1und1 # this was 10 seconds later
lost+found
luca@godzilla:~/dav$ rm 1und1/test
rm: Entfernen von „1und1/test“ nicht möglich: No such file or directory
luca@godzilla:~/dav$

In fact, however, they exist on the server, and can be displayed using every other software I've tried.

luca@godzilla:~$ cadaver https://sd2dav.1und1.de/
WARNING: Untrusted server certificate presented for `sd2dav.1und1.de':
Issued to: DE, Rheinland-Pfalz, Montabaur, 1 und 1 Internet AG, sd2dav.1und1.de
Issued by: ZA, Western Cape, Cape Town, Thawte Consulting cc, Certification Services Division, Thawte Premium Server CA, premium-server@thawte.com
Certificate is valid from Mon, 23 Jun 2008 13:12:26 GMT to Tue, 23 Jun 2009 13:12:26 GMT
Do you wish to accept the certificate? (y/n) y
Authentication required for 1&1 SmartDrive on server `sd2dav.1und1.de':
Username: ka6726-313@online.de
Password:
dav:/> ls
Listing collection `/': succeeded.
Coll: crypto 0 Okt 7 23:53
funny-pictures-boo-aaah-fish-two.jpg 65011 Okt 9 20:08
funny-pictures-nasa-launch-abort-spider.jpg 17886 Okt 9 20:08
test 0 Okt 24 22:37
dav:/>

Another DAV connection to another provider works as expected.

Discussion

  • Werner Baumann

    Werner Baumann - 2008-10-25
    • labels: 341330 --> mount.davfs
    • assigned_to: nobody --> wbaumann
     
  • Werner Baumann

    Werner Baumann - 2008-10-25

    Hello Luca,

    at first sight this looks very strange because I have a 1und1-account as well and use it for testing. But my WebDAV-server is smartdirve.1und1.de and is indeed a proxy to mediacenter.gmx.net. Your account seems to go to a different server.

    As no files show up at all, this looks like a problem with PROPFIND. This is often caused by malformed XML or different opinions of the neon library (used by davfs2) and the server about how it should be done.

    Can you please do this:
    - tell me your version of davfs2 ("/sbin/mount.davfs --version")
    - set options "debug most" and "debug httpbody" in your davfs2.conf file and
    - mount the file system
    - do "ls"
    - umount the file system
    There should be a lot of debug messages from mount.davfs in one of
    your systems log files.
    Send the log messages to me (on this list or to my private email address
    werner.baumann@onlinehome.de).

    In difficult cases, when neon can't read the response, it might be necssary to capture the HTTP-traffic with wireshark or tcp-dump. But this does not work with TLS/SSL, so we should try the davfs2 debug messages first.

    Cheers
    Werner

     
  • Werner Baumann

    Werner Baumann - 2008-10-26
    • status: open --> open-fixed
     
  • Werner Baumann

    Werner Baumann - 2009-05-03
    • status: open-fixed --> closed-fixed
     

Log in to post a comment.